Autonomy KeyView Filter Module Multiple Memory Corruption Vulnerabilities (Lotus Notes)

high Nessus Plugin ID 47899

Language:

New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it is different from CVSS.

VPR Score: 7.4

Synopsis

The remote Windows host has a DLL that is affected by several buffer overflow vulnerabilities.

Description

The version of Lotus Notes installed on the remote Windows host ships with several DLL designed to perform file conversions ('Autonomy KeyView Filter').

Specifically, these DLLs are affected by several overflow vulnerabilities that may allow an attacker to execute arbitrary code on the remote host.

To exploit these vulnerabilities, an attacker would need to send a specially malformed document to a user on the remote host and wait for him to open it via Notes.

Solution

Apply the patch from IBM

See Also

http://www-01.ibm.com/support/docview.wss?uid=swg21440812

https://secuniaresearch.flexerasoftware.com/secunia_research/2010-16/

https://secuniaresearch.flexerasoftware.com/secunia_research/2010-27/

https://secuniaresearch.flexerasoftware.com/secunia_research/2010-49/

https://secuniaresearch.flexerasoftware.com/secunia_research/2010-28/

https://secuniaresearch.flexerasoftware.com/secunia_research/2010-35/

https://secuniaresearch.flexerasoftware.com/secunia_research/2010-31/

Plugin Details

Severity: High

ID: 47899

File Name: notes_keyview_filter_overflows.nasl

Version: 1.14

Type: local

Agent: windows

Family: Windows

Published: 7/29/2010

Updated: 11/15/2018

Dependencies: smb_hotfixes.nasl, lotus_notes_installed.nasl

Configuration: Enable paranoid mode

Risk Information

Risk Factor: High

VPR Score: 7.4

CVSS v2.0

Base Score: 9.3

Temporal Score: 7.7

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

Vulnerability Information

CPE: cpe:2.3:a:ibm:lotus_notes:*:*:*:*:*:*:*:*

Required KB Items: Settings/ParanoidReport, SMB/name, SMB/login, SMB/password, SMB/Lotus_Notes/Installed

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 7/27/2010

Vulnerability Publication Date: 7/27/2010

Exploitable With

Core Impact

Reference Information

CVE: CVE-2010-0126, CVE-2010-0131, CVE-2010-0133, CVE-2010-0135, CVE-2010-1524, CVE-2010-1525, CVE-2010-0134

BID: 41928